Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BlockLeaves

    java.lang.Object
      net.minecraft.src.Block
          net.minecraft.src.BlockLeavesBase
              net.minecraft.src.BlockLeaves

All Implemented Interfaces:
  IShearable

    public class BlockLeaves

extends BlockLeavesBase
implements IShearable

Field Summary
`static String[]` | `LEAF_TYPES`

Fields inherited from class net.minecraft.src.BlockLeavesBase
`graphicsLevel`

Fields inherited from class net.minecraft.src.Block
`bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockIndexInTexture, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, button, cactus, cake, canBlockGrass, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cocoaPlant, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, field_82507_n, field_82508_o, field_82509_m, field_82510_ck, field_82511_ci, field_82512_cj, field_82513_cg, field_82514_ch, field_82515_ce, field_82516_cf, field_82517_cc, field_82518_cd, fire, glass, glowStone, grass, gravel, ice, isDefaultTexture, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, melon, melonStem, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, requiresSelfNotify, sand, sandStone, sapling, signPost, signWall, silverfish, slipperiness, slowSand, snow, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneDoubleSlab, stoneOvenActive, stoneOvenIdle, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodSingleSlab, workbench`

Method Summary
`void` | `beginLeavesDecay(World world, int x, int y, int z)` Called when a leaf should start its decay process.
`void` | `breakBlock(World par1World, int par2, int par3, int par4, int par5, int par6)` ejects contained items into the world, and notifies neighbours of an update, as appropriate
`int` | `colorMultiplier(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)`
`int` | `damageDropped(int par1)` Determines the damage on the item the block drops.
`void` | `dropBlockAsItemWithChance(World par1World, int par2, int par3, int par4, int par5, float par6, int par7)` Drops the block items with a specified chance of dropping the specified items
`int` | `getBlockColor()`
`int` | `getBlockTextureFromSideAndMetadata(int par1, int par2)` From the specified side and block metadata retrieves the blocks texture.
`int` | `getRenderColor(int par1)`
`void` | `getSubBlocks(int par1, CreativeTabs par2CreativeTabs, List par3List)`
`void` | `harvestBlock(World par1World, EntityPlayer par2EntityPlayer, int par3, int par4, int par5, int par6)` Called when the player destroys a block with an item that can harvest it.
`int` | `idDropped(int par1, Random par2Random, int par3)` Returns the ID of the items to drop on destruction.
`boolean` | `isLeaves(World world, int x, int y, int z)` Determines if this block is considered a leaf block, used to apply the leaf decay and generation system.
`boolean` | `isOpaqueCube()` Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.
`boolean` | `isShearable(ItemStack item, World world, int x, int y, int z)` Checks if the object is currently shearable Example: Sheep return false when they have no wool
`ArrayList<ItemStack>` | `onSheared(ItemStack item, World world, int x, int y, int z, int fortune)` Performs the shear function on this object.
`int` | `quantityDropped(Random par1Random)` Returns the quantity of items to drop on block destruction.
`void` | `randomDisplayTick(World par1World, int par2, int par3, int par4, Random par5Random)`
`void` | `setGraphicsLevel(boolean par1)`
`void` | `updateTick(World par1World, int par2, int par3, int par4, Random par5Random)` Ticks the block if it's been scheduled

Methods inherited from class net.minecraft.src.BlockLeavesBase
`shouldSideBeRendered`

Methods inherited from class net.minecraft.src.Block
`addBlockDestroyEffects, addBlockHitEffects, addCollidingBlockToList, addCreativeItems, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canHarvestBlock, canPlaceBlockAt, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, collisionRayTrace, createTileEntity, dropBlockAsItem, fillWithRain, func_82505_u_, func_82506_l, func_83005_z, func_83006_A, func_83007_w, func_83008_x, func_83009_v, func_83010_y, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBrightness, getBlockDropped, getBlockHardness, getBlockName, getBlocksMovement, getBlockTexture, getBlockTextureFromSide, getCollisionBoundingBoxFromPool, getCreativeTabToDisplayOn, getDamageValue, getEnableStats, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderType, getSelectedBoundingBoxFromPool, getTextureFile, getTickRandomly, hasTileEntity, hasTileEntity, idPicked, isAirBlock, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isCollidable, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isIndirectlyPoweringTo, isLadder, isNormalCube, isPoweringTo, isWood, onBlockActivated, onBlockAdded, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockHarvested, onBlockPlacedBy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborBlockChange, onSetBlockIDWithMetaData, quantityDropped, quantityDroppedWithBonus, removeBlockByPlayer, renderAsNormalBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockUnbreakable, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setRequiresSelfNotify, setResistance, setStepSound, setTextureFile, setTickRandomly, tickRate, translateBlockName, updateBlockMetadata, velocityToAddToEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEAF_TYPES

    public static final String[] LEAF_TYPES

Method Detail

### getBlockColor

    public int getBlockColor()

  Overrides:
    `getBlockColor` in class `Block`

### getRenderColor

    public int getRenderColor(int par1)

  Overrides:
    `getRenderColor` in class `Block`

### colorMultiplier

    public int colorMultiplier(IBlockAccess par1IBlockAccess,
                               int par2,
                               int par3,
                               int par4)

  Overrides:
    `colorMultiplier` in class `Block`

### breakBlock

    public void breakBlock(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           int par5,
                           int par6)

  ejects contained items into the world, and notifies neighbours of an update, as appropriate

  Overrides:
    `breakBlock` in class `Block`

### updateTick

    public void updateTick(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           Random par5Random)

  Ticks the block if it's been scheduled

  Overrides:
    `updateTick` in class `Block`

### randomDisplayTick

    public void randomDisplayTick(World par1World,
                                  int par2,
                                  int par3,
                                  int par4,
                                  Random par5Random)

  Overrides:
    `randomDisplayTick` in class `Block`

### quantityDropped

    public int quantityDropped(Random par1Random)

  Returns the quantity of items to drop on block destruction.

  Overrides:
    `quantityDropped` in class `Block`

### idDropped

    public int idDropped(int par1,
                         Random par2Random,
                         int par3)

  Returns the ID of the items to drop on destruction.

  Overrides:
    `idDropped` in class `Block`

### dropBlockAsItemWithChance

    public void dropBlockAsItemWithChance(World par1World,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5,
                                          float par6,
                                          int par7)

  Drops the block items with a specified chance of dropping the specified items

  Overrides:
    `dropBlockAsItemWithChance` in class `Block`

### harvestBlock

    public void harvestBlock(World par1World,
                             EntityPlayer par2EntityPlayer,
                             int par3,
                             int par4,
                             int par5,
                             int par6)

  Called when the player destroys a block with an item that can harvest it. (i, j, k) are the coordinates of the block and l is the block's subtype/damage.

  Overrides:
    `harvestBlock` in class `Block`

### damageDropped

    public int damageDropped(int par1)

  Determines the damage on the item the block drops. Used in cloth and wood.

  Overrides:
    `damageDropped` in class `Block`

### isOpaqueCube

    public boolean isOpaqueCube()

  Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.

  Overrides:
    `isOpaqueCube` in class `BlockLeavesBase`

### getBlockTextureFromSideAndMetadata

    public int getBlockTextureFromSideAndMetadata(int par1,
                                                  int par2)

  From the specified side and block metadata retrieves the blocks texture. Args: side, metadata

  Overrides:
    `getBlockTextureFromSideAndMetadata` in class `Block`

### setGraphicsLevel

    public void setGraphicsLevel(boolean par1)

### getSubBlocks

    public void getSubBlocks(int par1,
                             CreativeTabs par2CreativeTabs,
                             List par3List)

  Overrides:
    `getSubBlocks` in class `Block`

### isShearable

    public boolean isShearable(ItemStack item,
                               World world,
                               int x,
                               int y,
                               int z)

  Description copied from interface: `IShearable`
  Checks if the object is currently shearable Example: Sheep return false when they have no wool

  Specified by:
    `isShearable` in interface `IShearable`
  Parameters:
    `item` - The itemstack that is being used, Possible to be null
    `world` - The current world
    `x` - The X Position
    `y` - The Y Position
    `z` - The Z Position
  Returns:
    If this is shearable, and onSheared should be called.

### onSheared

    public ArrayList<ItemStack> onSheared(ItemStack item,
                                          World world,
                                          int x,
                                          int y,
                                          int z,
                                          int fortune)

  Description copied from interface: `IShearable`
  Performs the shear function on this object. This is called for both client, and server. The object should perform all actions related to being sheared, except for dropping of the items. Returns a list of items that resulted from the shearing process. For entities, they should trust there internal location information over the values passed into this function.

  Specified by:
    `onSheared` in interface `IShearable`
  Parameters:
    `item` - The itemstack that is being used, Possible to be null
    `world` - The current world
    `x` - The X Position
    `y` - The Y Position
    `z` - The Z Position
    `fortune` - The fortune level of the shears being used
  Returns:
    A ArrayList containing all items from this shearing. Possible to be null.

### beginLeavesDecay

    public void beginLeavesDecay(World world,
                                 int x,
                                 int y,
                                 int z)

  Description copied from class: `Block`
  Called when a leaf should start its decay process.

  Overrides:
    `beginLeavesDecay` in class `Block`
  Parameters:
    `world` - The current world
    `x` - X Position
    `y` - Y Position
    `z` - Z Position

### isLeaves

    public boolean isLeaves(World world,
                            int x,
                            int y,
                            int z)

  Description copied from class: `Block`
  Determines if this block is considered a leaf block, used to apply the leaf decay and generation system.

  Overrides:
    `isLeaves` in class `Block`
  Parameters:
    `world` - The current world
    `x` - X Position
    `y` - Y Position
    `z` - Z Position
  Returns:
    true if this block is considered leaves.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD